persistent gnome dep problems (F16 alpha rc3-5, alpha), --skip-broken wants to haul in 32-bit libs

Panu Matilainen pmatilai at laiskiainen.org
Thu Aug 25 10:06:57 UTC 2011


On 08/24/2011 08:11 PM, seth vidal wrote:
> On Wed, 2011-08-24 at 13:09 -0400, Tom Horsley wrote:
>> On Wed, 24 Aug 2011 17:26:44 +0100
>> Richard Hughes wrote:
>>
>>> I'm seriously wondering if multilib is worth all this hassle...
>>
>> Oh I've never wondered that: It has clearly never been a good
>> idea. Starting with the total lack of documentation about how
>> the heck it actually works when (for instance) multilib rpms
>> both contain /usr/bin binaries of the same name and going
>> through all the problems it causes with updates (like these).
>
> It is documented it is just confusing
>
> When you have two pkgs sharing the same binary path - the pkg in the
> preferred/compat arch for that platform has its files installed.
>
> Except when you install them in the wrong order - and then rpm will
> cough out a conflict. This, I think, has been fixed in more recent
> changes but I'm not 100% certain of that.

The conflict behavior should be consistent regardless of the order since 
rpm >= 4.6.0, ie since F10.

	- Panu -


More information about the test mailing list